Subject: Re: gumeric14 build error (was: CVS commit: pkgsrc/devel/libgsf)
To: Bernd Ernesti <>
From: Matthias Drochner <>
List: tech-pkg
Date: 09/06/2005 12:29:27 said:
> 2005-08-14  Jean Brefort  <>
> 	* needs libgsf-1.12.2
> 	* plugins/corba/corba-workbook.c: updated to new GSF_CLASS_FULL
> signature. 

Thanks a lot for pointing to the right (and hopefully
sufficient) patches.
So I've patched all calls of the GSF_CLASS_FULL macro, and
the result appears to work fine. There are some assertion
warnings about gsf meta data when I load an Excel sheet
(as opposed to a native gnumeric sheet), but this looks

Just looking at the old gnumeric-1.2, but imho we can
just drop it if there are problems. 1.4 is officially
stable for quite a while.

best regards